Name: xbase
Version: 2.0.0
Release: alt1

Summary: Xbase dBase database file library

License: LGPL
Group: Development/Other
Url: http://linux.techass.com/projects/xdb/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2

# Automatically added by buildreq on Sat Jun 18 2005
BuildRequires: gcc-c++ libstdc++-devel

BuildRequires: libstdc++-devel

#%%undefine __check_files

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%package -n lib%name
Summary: Libraries needed for %name
Group: System/Libraries

%description -n lib%name
Libraries needed for %name

%package -n lib%name-devel
Summary: Xbase development package
Group: Development/Other

Requires: lib%name = %version-%release

%description -n lib%name-devel
Headers and such for compiling programs that use the Xbase library.

%prep
%setup -q

%configure --disable-static

%build
%make

%install
%makeinstall

#%__rm -rf $RPM_BUILD_ROOT/%_bindir/xbase-config

%post -n lib%name -p /sbin/ldconfig
%postun -n lib%name -p /sbin/ldconfig

%files
%doc NEWS README TODO AUTHORS ChangeLog
%_bindir/*

%files -n lib%name
%_libdir/libxbase-2.0.so.*

%files -n lib%name-devel
%doc docs html
%_includedir/xbase
%_libdir/libxbase.so
#%_libdir/libxbase.la
#%_libdir/libxbase.a

%changelog
* Sat Jun 18 2005 Vitaly Lipatov <lav@altlinux.ru> 2.0.0-alt1
- first build for ALT Linux Sisyphus

* Sat Jun 5 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-4mdk
- rebuild
- spec cleaning

* Sun Jan 11 2004 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-3mdk
- correct typo in ntx.cpp

* Thu Dec 25 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-2mdk
- fix provides and requires

* Tue Nov 18 2003 Spencer Anderson <sdander@oberon.ark.com> 2.0.0-1mdk
- initial Mandrake release
- don't use configure macro (breaks build right now)
- needed for new rekall
